# strcmp function

strcmp will test two strings for equallity.

    	Returns :
    		< 0 if s1 is less than s2
    		  0 if s1 == s2
    		> 0 if s1 is greater than s2

This function probably provides too much information by indicating which string is lexicographically greater. The net result means that the strcmp return code is logically incorrect because it returns a FALSE value when the strings match.

## Example:

Function that compares two strings and returns a sensible return code.

## See Also:

strncmp

strstr Find a sub string in a string.

strchrLocate a character in a string.

index Locate a character in a string.

strcasecmp Compare strings, ignoring case.

toupper

tolower

Top | Master Index | Keywords | Functions